$('div.navigation').css({'width' : '200px', 'float' : 'left'});
$('div.content-gallery').css('display', 'block');
var onMouseOutOpacity = 0.5;
$('#thumbs ul.thumbs li').css('opacity', onMouseOutOpacity)
    .hover(
        function () {
            $(this).not('.selected').fadeTo('fast', 1.0);
        },
        function () {
            $(this).not('.selected').fadeTo('fast', onMouseOutOpacity);
        }
    );
$(document).ready(function() {
    var galleryAdv = $('#gallery').galleriffic('#thumbs', {
        delay:                  3000,
        numThumbs:              8,
        preloadAhead:           10,
        enableTopPager:         false,
        enableBottomPager:      true,
        imageContainerSel:      '#slideshow',
        controlsContainerSel:   '#controls',
        captionContainerSel:    '#caption',
        loadingContainerSel:    '#loading',
        renderSSControls:       true,
        renderNavControls:      true,
        playLinkText:           '自动播放',
        pauseLinkText:          '停止播放',
        prevLinkText:           '« 上一个',
        nextLinkText:           '下一个 »',
        nextPageLinkText:       '下一页 »',
        prevPageLinkText:       '« 上一页',
        enableHistory:          true,
        autoStart:              false,
        onChange:               function(prevIndex, nextIndex) {
            $('#thumbs ul.thumbs').children()
                .eq(prevIndex).fadeTo('fast', onMouseOutOpacity).end()
                .eq(nextIndex).fadeTo('fast', 1.0);
        },
        onTransitionOut:        function(callback) {
            $('#caption').fadeOut('fast');
            $('#slideshow').fadeOut('fast', callback);
        },
        onTransitionIn:         function() {
            $('#slideshow, #caption').fadeIn('fast');
        },
        onPageTransitionOut:    function(callback) {
            $('#thumbs ul.thumbs').fadeOut('fast', callback);
        },
        onPageTransitionIn:     function() {
            $('#thumbs ul.thumbs').fadeIn('fast');
        }
    });
});